Summary: A library which allows userspace access to USB devices
Name: libusb
Version: 0.1.12
Release: 23%{?dist}
Source0: http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.gz
Patch0: libusb-0.1.12-libusbconfig.patch
Patch1: libusb-0.1.12-memset.patch
Patch2: libusb-0.1.12-openat.patch
Patch3: libusb-0.1.12-wakeups.patch
Patch4: libusb-0.1.12-concurrency-timeout.patch
License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://sourceforge.net/projects/libusb/
BuildRequires: docbook-utils, pkgconfig
BuildRequires: docbook-dtds >= 1.0-5, docbook-utils-pdf
BuildRequires: openjade autoconf

%description
This package provides a way for applications to access USB devices.

%package devel
Summary: Development files for libusb
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb.

%package static
Summary: Static development files for libusb
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries to develop applications that use libusb.

%prep
%setup -q
%patch0 -p1 -b .libusbconfig
%patch1 -p1 -b .memset
%patch2 -p1 -b .openat
#%patch3 -p0 -b .wakeups
#%patch4 -p1 -b .concurrency-timeout

%build
autoconf
%configure
make CFLAGS="$RPM_OPT_FLAGS"
pushd doc
docbook2ps manual.sgml
sed -i '/DVIPSSource:/d;/CreationDate:/d' manual.ps
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS README LICENSE INSTALL.libusb NEWS ChangeLog doc/manual.ps doc/html
%{_bindir}/libusb-config
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/*
%{_libdir}/*.so

%files static
%defattr(-,root,root)
%{_libdir}/*.a


%changelog

